#include "eyebot.h"

int main ()
{ int k, pos=0, id=1;
  LCDMenu("Set 0","Set 128","Set 255","Next");
  while(1)
  { k=KEYGet();
    switch(k)
    { case KEY1: pos=  0; break;
      case KEY2: pos=128; break;
      case KEY3: pos=255; break;
      case KEY4: id++; if (id>13) id=1; break;
    }
    if (k!=KEY4)
    { LCDPrintf("Move id %d to pos %d \n", id, pos);
      SERVOSet(id, pos);
    } else LCDPrintf("ID %d\n", id);
  }
  return 0;
}
